# ApplicationFramework
TKPLCAF
MDF

# MDF_DataMapIteratorOfTypeARDriverMap Class Reference

`#include <MDF_DataMapIteratorOfTypeARDriverMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MDF_DataMapIteratorOfTypeARDriverMap ()
Standard_EXPORT | MDF_DataMapIteratorOfTypeARDriverMap (const MDF_TypeARDriverMap &aMap)
Standard_EXPORT void | Initialize (const MDF_TypeARDriverMap &aMap)
Standard_EXPORT const Handle_Standard_Type & | Key () const
Standard_EXPORT const Handle_MDF_ARDriver & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT MDF_DataMapIteratorOfTypeARDriverMap::MDF_DataMapIteratorOfTypeARDriverMap | ( |  | ) |

Standard_EXPORT MDF_DataMapIteratorOfTypeARDriverMap::MDF_DataMapIteratorOfTypeARDriverMap | ( | const MDF_TypeARDriverMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void MDF_DataMapIteratorOfTypeARDriverMap::Initialize | ( | const MDF_TypeARDriverMap & | aMap | ) |

Standard_EXPORT const Handle_Standard_Type& MDF_DataMapIteratorOfTypeARDriverMap::Key | ( |  | ) | const

void MDF_DataMapIteratorOfTypeARDriverMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MDF_DataMapIteratorOfTypeARDriverMap::operator new | ( | size_t | size | ) | `[inline]`

void* MDF_DataMapIteratorOfTypeARDriverMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_MDF_ARDriver& MDF_DataMapIteratorOfTypeARDriverMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- MDF_DataMapIteratorOfTypeARDriverMap.hxx